Package org.apache.sling.auth.oauth_client

# Interface ClientConnection

public interface ClientConnection
Identifies an OAuth or OIDC connection

Used in the public API to identify the client connection for which to retrieve or clear tokens.

Connections are published as OSGi services and should be retrieved using the `name` property.

    private @Reference(target = "(name=my-connection-name)") ClientConnection connection;}

See Also:
  - `OAuthTokenAccess`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`name()`

## Method Details

### name

@NotNull @NotNull String name()

Returns:
  the name of the connection